<template>
  <div>
    <PageHeader v-bind:name="pageName"></PageHeader>
    <ActionButton
      :method="displayAddTeamForm"
      buttonText="Add new team">
    </ActionButton>
    <Team
      v-for="(team, index) in this.$store.state.team.state.teams"
      v-bind:key="index"
      v-bind:team="team"
      v-bind:index="index"></Team>
    <AddTeamForm></AddTeamForm>
  </div>
</template>

<script>
import Team from './Team';
import PageHeader from './PageHeader';
import AddTeamForm from './AddTeamForm';
import ActionButton from './DeleteMemberButton';

export default {
  name: 'main',
  components: {
    ActionButton,
    PageHeader,
    Team,
    AddTeamForm,
  },
  data() {
    return {
      pageName: 'Team Manager',
    };
  },
  methods: {
    displayAddTeamForm() {
      const formContainer = this.$el.querySelector('.formContainer');
      if (formContainer.classList.contains('invisible')) {
        formContainer.classList.remove('invisible');
        formContainer.classList.add('visible');
      }
    },
  },
};
</script>

<style scoped>

</style>
